> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /indiehackers/users/search

> Search Indie Hackers founders by free-text query over username, full name, bio, city, region and country. Returns founder profiles with id, alias (username), full name, bio, email, Twitter handle, location, follower count, interests, startup stage and coding skill level.

**Price:** 1 credit per 100 results



## OpenAPI

````yaml /openapi/company-startup-intel.json post /api/indiehackers/users/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/indiehackers/users/search:
    post:
      tags:
        - /indiehackers
      summary: /indiehackers/users/search
      description: >-
        Search Indie Hackers founders by free-text query over username, full
        name, bio, city, region and country. Returns founder profiles with id,
        alias (username), full name, bio, email, Twitter handle, location,
        follower count, interests, startup stage and coding skill level.


        **Price:** 1 credit per 100 results
      operationId: __api_indiehackers_users_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IndiehackersUsersSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IndiehackersUser'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IndiehackersUsersSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - query
        - count
    IndiehackersUser:
      properties:
        '@type':
          type: string
          default: IndiehackersUser
        id:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        full_name:
          anyOf:
            - type: string
            - type: 'null'
        bio:
          anyOf:
            - type: string
            - type: 'null'
        email:
          anyOf:
            - type: string
            - type: 'null'
        twitter_handle:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        follower_count:
          anyOf:
            - type: integer
            - type: 'null'
        interests:
          items:
            type: string
          type: array
          default: []
        stage:
          anyOf:
            - type: string
            - type: 'null'
        code_level:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````